Show / Hide Table of Contents

# Class SecretBox

##### Inheritance

System.Object
SecretBox

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Audio

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public static class SecretBox

### Methods

| Improve this Doc View Source

#### Decrypt(Byte[], Int32, Int32, Byte[], Int32, Byte[], Byte[])

##### Declaration

    public static int Decrypt(byte[] input, int inputOffset, int inputLength, byte[] output, int outputOffset, byte[] nonce, byte[] secret)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | input |
System.Int32 | inputOffset |
System.Int32 | inputLength |
System.Byte[] | output |
System.Int32 | outputOffset |
System.Byte[] | nonce |
System.Byte[] | secret |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Encrypt(Byte[], Int32, Int32, Byte[], Int32, Byte[], Byte[])

##### Declaration

    public static int Encrypt(byte[] input, int inputOffset, int inputLength, byte[] output, int outputOffset, byte[] nonce, byte[] secret)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | input |
System.Int32 | inputOffset |
System.Int32 | inputLength |
System.Byte[] | output |
System.Int32 | outputOffset |
System.Byte[] | nonce |
System.Byte[] | secret |

##### Returns

Type | Description
--- | ---
System.Int32 |